<?php

/* style.php:  dynamic style sheet creation
*
    Copyright (C) 2002-2005  Hastymail Development group

    This file is part of Hastymail.

    Hastymail is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Hastymail is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Hastymail; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

* $Id: style.php,v 1.6 2005/05/27 19:24:56 sailfrog Exp $
*/

/* get style info */
$style = $_GET['style'];
$style = basename($_GET['style']);
if(substr($style, -4) != '.css') {
       $style = 'default.css';
}
$style_sheet = implode("\n", file('../themes/'.$style));
if (isset($_GET['size'])) {
    $n_size = intval($_GET['size']);
    $s_size = $n_size - 2;
    $style_sheet = str_replace(array('normal_font', 'small_font'), 
                               array($n_size.'pt', $s_size.'pt'),
                               $style_sheet);
}

/* output style sheet */
header("Content-Type: text/css");
echo $style_sheet;
exit;
?>
