<?php

/* en_US.php: english strings 
*
    Copyright (C) 2002-2005  Hastymail Development group

    This file is part of Hastymail.

    Hastymail is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Hastymail is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Hastymail; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

* $Id: en_US.php,v 1.132 2006/01/19 21:29:11 sailfrog Exp $
*/

$en_US = array (

    'charset' => 'iso-8859-1',

    0   => 'Move',
    1   => 'Copy',
    2   => 'Read',
    3   => 'Unread',
    4   => 'Delete',
    5   => 'Go',
    6   => 'Selected',
    7   => 'This page',
    8   => 'Whole folder',
    9   => 'Page',
    10  => 'New',
    11  => 'Search',
    12  => 'Options',
    13  => 'Folders',
    14  => 'Contacts',
    15  => 'Compose',
    16  => 'Logout',
    17  => 'Sort',
    18  => 'messages',
    19  => 'viewing',
    20  => 'Purge',
    21  => 'Subject',
    22  => 'From',
    23  => 'Date',
    24  => 'Size',
    25  => 'To',
    26  => 'message',
    27  => 'Disabling the move to trash option because the folder could not be accessed',
    28  => 'Disabling the save sent option because the folder could not be accessed',
    29  => 'Full headers',
    30  => 'Small headers',
    31  => 'Raw view', 
    32  => 'Normal view',
    33  => 'Thread view',
    34  => 'Print view',
    35  => 'Reply',
    36  => 'Reply to all',
    37  => 'Forward',
    38  => 'download',
    39  => 'view',
    40  => 'Reply to mailing list',
    41  => 'Reply to this part',
    42  => 'Your Reply has been sent',
    43  => 'Add',
    44  => 'Mime-type',
    45  => 'Description',
    46  => 'Message parts',
    47  => 'Could not access the following folders:',
    48  => 'The following folders were removed from the folder list:',
    49  => 'To check for outside changes to the folder list go to the folders page',
    50  => 'Unread messages in',
    51  => 'All in',
    52  => 'All messages',
    53  => 'No new messages',
    54  => 'is empty',
    55  => 'Target folders',
    56  => 'Message date range',
    57  => 'Message flags',
    58  => 'Search string',
    59  => 'Section',
    60  => 'Reset',
    61  => 'Update',
    62  => 'Update results:',
    63  => 'Results for:',
    64  => 'Messages found:',
    65  => 'Folders searched:',
    66  => 'Start over',
    67  => 'Answered',
    68  => 'Unanswered',
    69  => 'Draft',
    70  => 'Not deleted',
    71  => 'Flagged',
    72  => 'Not flagged',
    73  => 'Not a draft',
    74  => 'Recent',
    75  => 'Old',
    76  => 'Any',
    77  => 'before',
    78  => 'since',
    79  => 'on',
    80  => 'smaller than',
    81  => 'larger than',
    82  => 'bytes', 
    83  => 'kilobytes',
    84  => 'megabytes',
    85  => 'headers+body',
    86  => 'body',
    87  => 'Cc',
    88  => 'Bcc',
    89  => 'Deleted',
    90  => 'This is a saved search result',
    91  => 'Back to message view',
    92  => 'Login',
    93  => 'Name',
    94  => 'Password',
    95  => 'Goodbye',
    96  => 'Login again',
    97  => 'Logout',
    98  => 'Display',
    99  => 'HTML filter',
    100 => 'Default Profile',
    101 => 'Address',
    102 => 'Signature',
    103 => 'Update Settings',
    104 => 'Profile',
    105 => 'Theme',
    106 => 'No Refresh',
    107 => 'Incoming mail font-family',
    108 => 'Refresh interval of "New mail" page',
    109 => 'Number of messages per page',
    110 => 'Wrap incoming mail at',
    111 => 'Hide \ when wrapping text',
    112 => 'Simple display mode',
    113 => 'Allow links in HTML parts',
    114 => 'Allow images in HTML parts',
    115 => 'Enable Sent folder',
    116 => 'Enable Trash folder',
    117 => 'Enable Drafts folder',
    118 => 'Settings Updated', 
    119 => 'minute',
    120 => 'minutes',
    121 => 'Create/Delete folders',
    122 => 'Folder Properties',
    123 => 'Create a new folder named',
    124 => 'This folder will contain',
    125 => 'subfolders',
    126 => 'mail',
    127 => 'Place this folder in',
    128 => 'Delete the folder named',
    129 => 'Folder',
    130 => 'Hide',
    131 => 'Sort type',
    132 => 'Create',
    133 => 'Could not delete',
    134 => 'because it contains these subfolders',
    135 => 'This folder is set as your sent folder, deleting it will disable the save 
            sent option',
    136 => 'This folder is set as your trash folder, deleting it will disable the move to
            trash option',
    137 => 'Deleting this folder will permanently remove it and all the mail inside.',
    138 => 'Are you sure you want to delete',
    139 => 'Confirm Delete',
    140 => 'Renamed or Deleted folders detected',
    141 => 'None', // on the folders page dropdown for parent folder
    142 => 'required',
    143 => 'optional',
    144 => 'Email address(es)',
    145 => 'Edit',
    146 => 'Contacts',
    147 => 'Current contacts',
    148 => 'Add to contact list',
    149 => 'Information', 
    150 => 'Additional information',
    151 => 'Edit contact list entry',
    152 => 'Updated contact',
    153 => 'Could not update contact',
    154 => 'Added new contact',
    155 => 'Could not add contact',
    156 => 'The email address you supplied does not appear to be valid',
    157 => 'You cannot use "|" in any of these fields',
    158 => 'You must supply a name',
    159 => 'You must supply an Email address',
    160 => 'No contacts',
    161 => 'Personal Contacts',
    162 => 'Send',
    163 => 'Save',
    164 => 'Sign',
    165 => 'Attach',
    166 => 'Attachments',
    167 => 'You must supply a To, Cc, or Bcc address', 
    168 => 'You do not have a from address set on the options page',
    169 => 'Using default of',
    170 => 'Could not attach selected file',
    171 => 'Found in',
    172 => 'This is a saved thread result',
    173 => 'Thread view',
    174 => 'IMAP server login string',
    175 => 'IMAP Capability response',
    176 => 'Web server software',
    177 => 'Web browser software',
    178 => 'Hastymail version',
    179 => 'We seem to have lost our connection to the SMTP server',
    180 => 'The SMTP server is not ready, it said',
    181 => 'Could not contact SMTP server',
    182 => 'The SMTP server did not like us, it said',
    183 => 'There was an error while sending the MAIL command, the SMTP server said:',
    184 => 'Your mail has been sent',
    185 => 'There was an error with the message data, the SMTP server said',
    186 => 'Moved',
    187 => 'Copied',
    188 => 'Resorted messages',
    189 => 'Unable to perform the requested action',
    190 => 'Hastymail said',
    191 => 'And the IMAP server said',
    192 => 'Back to INBOX',
    193 => 'Error',
    194 => 'This message does not have a plain text part',
    195 => 'There is a problem with your login',
    196 => 'Please login again',
    197 => 'Unable to connect to the LDAP server',
    198 => 'Unable to bind to the LDAP server',
    199 => 'Could not execute search, the IMAP server said',
    200 => 'Could not get capability string',
    201 => 'Could not delete mailbox, the IMAP server said',
    202 => 'Deleted folder',
    203 => 'Unkown response from the IMAP server',
    204 => 'Hastymail could not determine the imap delimiter',
    205 => 'Please set the IMAP delimiter in the hastymail.conf file',
    206 => 'Illegal folder name',
    207 => 'Could not create folder, the IMAP server said',
    208 => 'Created folder',
    209 => 'Disabling the save draft option because the folder could not be accessed',
    210 => 'Could not save message, the IMAP server said',
    211 => 'Saved draft',
    212 => 'There was an error parsing the structure of this message',
    213 => 'is not a valid email address',
    214 => 'message(s) in this thread with a subject of',
    215 => 'Interface language',
    216 => 'This message was deleted since running your search',
    217 => 'Please update your search results',
    218 => 'The selected message was deleted or could not be opened',
    219 => 'First page after login',
    220 => 'Mailbox',
    221 => 'Back to thread',
    222 => 'Bounce',
    223 => 'Sent failure notice',
    224 => 'Could not send failure notice',
    225 => 'Forward this part',
    226 => 'English',
    227 => 'French',
    228 => 'Dutch',
    229 => '(No Subject)',
    230 => '(No From)',
    231 => '(No Date)',
    232 => '(No To)',
    233 => 'German',
    234 => 'Could not authenticate to the SMTP server, it said',
    235 => 'Display HTML mail when no text part exists',
    236 => 'Finnish',
    237 => 'Convert links in TEXT parts',
    238 => 'Convert addresses in TEXT parts', 
    239 => 'Rename',
    240 => 'Rename the folder named',
    241 => 'Renamed folder',
    242 => 'Could not rename folder, the IMAP server said',
    243 => 'Could not delete this folder because it contains these subfolders',
    244 => 'Folder list has changed',
    245 => 'New folders found',
    246 => 'Toggle All',
    247 => 'Resume draft',
    248 => 'Profile added',
    249 => 'Profile removed',
    250 => 'New Profile',
    251 => 'Remove Profile',
    252 => 'Italian',
    253 => 'Find response',
    254 => 'Could not find a response to this message in your Sent folder',
    255 => 'Removed contact',
    256 => 'Could not open requested message',
    257 => 'Back to search',
    258 => 'View entire message',
    259 => 'Spanish',
    260 => ' This message may be too long to load properly, only the first 100,000 characters are displayed',
    261 => 'View entire message',
    262 => 'The SMTP server did not like a recipient, it said',
    263 => 'Date format',
    264 => 'Time format',
    265 => 'Check unread',
    266 => 'Nested',
    267 => 'Flat',
    268 => 'New only',
    269 => 'New and total',
    270 => 'Folder details',
    271 => 'Folder style',
    272 => 'Could not save profile settings',
    273 => 'Could not save user settings',
    274 => 'Display HTML parts by default',
    275 => 'Folder view on message page',
    276 => 'Above message',
    277 => 'Below message',
    278 => 'small',
    279 => 'default',
    280 => 'large',
    281 => 'Font size',
    282 => 'Server Information',
    283 => 'Links',
    284 => 'Show clock in toolbar',
    285 => 'Tall toolbar',
    286 => 'About page',
    287 => 'IMAP server',
    288 => 'List all',
    289 => 'type', // search page, date range type
    290 => 'type', // search page, size unit type
    291 => 'None', // folder view setting on the options page
    292 => 'None', // folder detail setting on the options page 
    293 => 'Hungarian',
    294 => 'Keep as new',
    295 => 'Czech',
    296 => 'Folded state',
    297 => 'Total size',
    298 => 'Do not save in Sent folder',
    299 => 'Disabling the Default folder setting, the folder could not be accessed',
    300 => 'Russian',
    301 => 'Subject size',
    302 => 'Norwegian',
    303 => 'There was a problem with the recipient address: ',
    304 => 'Turkish',
    305 => 'Rfc-message',
    306 => 'auto-detect',
    307 => 'text/plain',
    308 => 'application/octet-stream',
    309 => 'Attach as type',
    310 => 'View selected',
    311 => 'Skip Trash',
    312 => 'Display "skip trash" option',
    313 => 'Edit as New',
    314 => 'Read',   // on the search page
    315 => 'Unread', // on the search page
    316 => 'Set default folder',
    317 => 'Options',   // on the compose page
    318 => 'Priority',
    319 => 'request MDN',
    320 => 'request DSN',
    321 => 'highest',
    322 => 'normal',
    323 => 'lowest',
    324 => 'Top',
    325 => 'Flag',
    326 => 'Unflag',
    327 => 'Flagged',
    328 => 'Unflagged',
    329 => 'Filter',
    330 => 'None', // none on the filter dropdown on the message page
    331 => 'Multipart',
    332 => 'New email to address',
    333 => 'Open link in new window',
    334 => 'Disabled the sort filter to open this message',
    335 => 'Added new namespace',
    336 => 'Removed namespace',
    337 => 'Add namespace',
    338 => 'Remove',
    339 => 'namespace could not be accessed',
    341 => 'No matching message for selected filter, disabling',
    342 => 'Filtered',
    343 => 'Could not write log file. Please check your Hastymail settings',
    344 => 'No valid email addresses found',
    345 => 'Selected Namespaces',
    346 => 'Return messages that do NOT match string',
    347 => 'Fold',
    348 => 'Unfold',
    349 => 'Go to folder',
    350 => 'View All',
    351 => 'Forward selected',
    352 => 'is not viewable',
    353 => 'Collapse',
    354 => 'Expand',
    355 => 'Sort method for the "New mail" page',
    356 => 'Polish',
    357 => 'New top level folder created as a namespace',
    358 => 'Default redirect address',
    359 => 'Redirect',
    360 => 'Original Message',
    361 => 'Delete resumed draft after sending',
    362 => 'Default',
    363 => 'Expunge',
    364 => 'Expunged deleted messages from folder',
    365 => 'Interface Layout',
    366 => 'No database connection string specified for settings',
    367 => 'Unable to connect to database for settings.',
    368 => 'Unable to query database for settings. Database generated an error',
    369 => 'Unable to update preferences',
    370 => 'Catalan',
    371 => 'Collapse new mail folders in simple mode',
    372 => 'This folder is set as your draft folder, deleting it will disable the save 
            draft option',
    373 => 'This folder is set as your default folder, deleting it will disable the
            default folder option',
    374 => 'Bulgarian',
    375 => 'You need PHP pspell support to use spell checking',
    376 => 'Spell',
    377 => 'Accept',
    378 => 'Dismiss',
    379 => 'Recheck',
    380 => 'Dictionary',
    381 => 'Could not open pspell dictionary',
    382 => 'Spellcheck options',
    383 => 'Timezone offset from GMT/UTC',
    384 => 'Observe daylight savings',
    385 => 'Sweedish',
    386 => 'Preserve preformatted text',

    'months' => array (
        'Jan' => 'January',
        'Feb' => 'February',
        'Mar' => 'March', 
        'Apr' => 'April',
        'May' => 'May',
        'Jun' => 'June',
        'Jul' => 'July', 
        'Aug' => 'August',
        'Sep' => 'September',
        'Oct' => 'October', 
        'Nov' => 'November',
        'Dec' => 'December'
    ),

    'sort_types' => array (
        'ARRIVAL'   => '-> Arrival',
        'R_ARRIVAL' => '<- Arrival',
        'CC'        => '-> Cc',
        'R_CC'      => '<- Cc',
        'DATE'      => '-> Date',
        'R_DATE'    => '<- Date',
        'FROM'      => '-> From',
        'R_FROM'    => '<- From',
        'SIZE'      => '-> Size',
        'R_SIZE'    => '<- Size',
        'SUBJECT'   => '-> Subject',
        'R_SUBJECT' => '<- Subject',
        'TO'        => '-> To',
        'R_TO'      => '<- To',
        'THREAD_R'  => 'Thread (r)',
        'THREAD_O'  => 'Thread (o)'
    ),

    'client_sort_types' => array (
        'ARRIVAL'   => '-> Arrival',
        'R_ARRIVAL' => '<- Arrival',
        'DATE'      => '-> Date',
        'R_DATE'    => '<- Date',
        'FROM'      => '-> From',
        'R_FROM'    => '<- From',
        'SIZE'      => '-> Size',
        'R_SIZE'    => '<- Size',
        'SUBJECT'   => '-> Subject',
        'R_SUBJECT' => '<- Subject'
    ),

    'folders' => array ('INBOX'  => 'Inbox',
                        'Drafts' => 'Drafts',
                        'Trash'  => 'Trash',
                        'Sent'   => 'Sent'),

);
return $en_US;

?>
